Skip to main content
DELETE
/
custom-fields
/
fieldName
/
{customFieldName}
curl --request DELETE \
  --url https://api.autosend.com/v1/custom-fields/fieldName/planTier \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "Custom field deleted successfully"
}
curl --request DELETE \
  --url https://api.autosend.com/v1/custom-fields/fieldName/planTier \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "Custom field deleted successfully"
}

Authorizations

Authorizations
string | header
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customFieldName
string
required
The fieldName of the custom field to delete.

Response

Custom field deleted successfully
success
boolean
Indicates whether the request was successful.
message
string
Confirmation message.Example: "Custom field deleted successfully"

Error Responses

404 - Custom field not found
object
Returned when no custom field with the given name exists on the project.
{
  "success": false,
  "error": {
    "message": "Custom field not found",
    "code": "CUSTOM_FIELD_NOT_FOUND",
    "status": 404
  }
}